SDL_config_minimal.h File Reference
`#include "SDL_platform.h"`
Include dependency graph for SDL_config_minimal.h:

Go to the source code of this file.

## Macros

#define | SDL_config_h_
#define | HAVE_STDARG_H 1
#define | HAVE_STDDEF_H 1
#define | HAVE_STDINT_H 1
#define | SDL_AUDIO_DRIVER_DUMMY 1
#define | SDL_JOYSTICK_DISABLED 1
#define | SDL_HAPTIC_DISABLED 1
#define | SDL_LOADSO_DISABLED 1
#define | SDL_THREADS_DISABLED 1
#define | SDL_TIMERS_DISABLED 1
#define | SDL_VIDEO_DRIVER_DUMMY 1
#define | SDL_FILESYSTEM_DUMMY 1

## Detailed Description

This is the minimal configuration that can be used to build SDL.

Definition in file SDL_config_minimal.h.

## Macro Definition Documentation

## HAVE_STDARG_H

#define HAVE_STDARG_H 1

Definition at line 34 of file SDL_config_minimal.h.

## HAVE_STDDEF_H

#define HAVE_STDDEF_H 1

Definition at line 35 of file SDL_config_minimal.h.

## HAVE_STDINT_H

#define HAVE_STDINT_H 1

Definition at line 51 of file SDL_config_minimal.h.

## SDL_AUDIO_DRIVER_DUMMY

#define SDL_AUDIO_DRIVER_DUMMY 1

Definition at line 59 of file SDL_config_minimal.h.

## SDL_config_h_

#define SDL_config_h_

Definition at line 24 of file SDL_config_minimal.h.

## SDL_FILESYSTEM_DUMMY

#define SDL_FILESYSTEM_DUMMY 1

Definition at line 80 of file SDL_config_minimal.h.

## SDL_HAPTIC_DISABLED

#define SDL_HAPTIC_DISABLED 1

Definition at line 65 of file SDL_config_minimal.h.

## SDL_JOYSTICK_DISABLED

#define SDL_JOYSTICK_DISABLED 1

Definition at line 62 of file SDL_config_minimal.h.

## SDL_LOADSO_DISABLED

#define SDL_LOADSO_DISABLED 1

Definition at line 68 of file SDL_config_minimal.h.

## SDL_THREADS_DISABLED

#define SDL_THREADS_DISABLED 1

Definition at line 71 of file SDL_config_minimal.h.

## SDL_TIMERS_DISABLED

#define SDL_TIMERS_DISABLED 1

Definition at line 74 of file SDL_config_minimal.h.

## SDL_VIDEO_DRIVER_DUMMY

#define SDL_VIDEO_DRIVER_DUMMY 1

Definition at line 77 of file SDL_config_minimal.h.